package idl;
/**
<p>
<ul>
<li> <b>Java Class</b> idl.HelloCorbaHelper
<li> <b>Source File</b> idl/HelloCorbaHelper.java
<li> <b>IDL Source File</b> HelloCorba.idl
<li> <b>IDL Absolute Name</b> ::idl::HelloCorba
<li> <b>Repository Identifier</b> IDL:idl/HelloCorba:1.0
</ul>
<b>IDL definition:</b>
<pre>
    interface HelloCorba {
      void setOneString(
        in string value1
      );
      void setTwoStrings(
        in string value1,
        in string value2
      );
      void setThreeStrings(
        in string value1,
        in string value2,
        in string value3
      );
      string getOneString();
      string getTwoStrings(
        out string value2
      );
      string getThreeStrings(
        out string value2,
        out string value3
      );
      void setLong(
        in long value
      );
      long getLong();
      void outLong(
        out long value
      );
      void setShort(
        in short value
      );
      short getShort();
      void outShort(
        out short value
      );
      void setULong(
        in unsigned long value
      );
      unsigned long getULong();
      void outULong(
        out unsigned long value
      );
      void setUShort(
        in unsigned short value
      );
      unsigned short getUShort();
      void outUShort(
        out unsigned short value
      );
      void setChar(
        in char value
      );
      char getChar();
      void outChar(
        out char value
      );
      void setBoolean(
        in boolean value
      );
      boolean getBoolean();
      void outBoolean(
        out boolean value
      );
      void setOctet(
        in octet value
      );
      octet getOctet();
      void outOctet(
        out octet value
      );
    };
</pre>
</p>
*/
abstract public class HelloCorbaHelper {
  public static idl.HelloCorba narrow(org.omg.CORBA.Object object) {
    return narrow(object, false);
  }
  private static idl.HelloCorba narrow(org.omg.CORBA.Object object, boolean is_a) {
    if(object == null) {
      return null;
    }
    if(object instanceof idl.HelloCorba) {
      return (idl.HelloCorba) object;
    }
    if(is_a || object._is_a(id())) {
      idl._st_HelloCorba result = new idl._st_HelloCorba();
      result._set_delegate(((org.omg.CORBA.portable.ObjectImpl) object)._get_delegate());
      return result;
    }
    return null;
  }
  public static idl.HelloCorba bind(org.omg.CORBA.ORB orb) {
    return bind(orb, null, null, null);
  }
  public static idl.HelloCorba bind(org.omg.CORBA.ORB orb, java.lang.String name) {
    return bind(orb, name, null, null);
  }
  public static idl.HelloCorba bind(org.omg.CORBA.ORB orb, java.lang.String name, java.lang.String host, org.omg.CORBA.BindOptions options) {
    return narrow(orb.bind(id(), name, host, options), true);
  }
  public static idl.HelloCorba read(org.omg.CORBA.portable.InputStream _input) {
    return idl.HelloCorbaHelper.narrow(_input.read_Object(), true);
  }
  public static void write(org.omg.CORBA.portable.OutputStream _output, idl.HelloCorba value) {
    _output.write_Object(value);
  }
  public static void insert(org.omg.CORBA.Any any, idl.HelloCorba value) {
    org.omg.CORBA.portable.OutputStream output = any.create_output_stream();
    write(output, value);
    any.read_value(output.create_input_stream(), type());
  }
  public static idl.HelloCorba extract(org.omg.CORBA.Any any) {
    if(!any.type().equal(type())) {
      throw new org.omg.CORBA.BAD_TYPECODE();
    }
    return read(any.create_input_stream());
  }
  private static org.omg.CORBA.TypeCode _type;
  public static org.omg.CORBA.TypeCode type() {
    if(_type == null) {
      _type = org.omg.CORBA.ORB.init().create_interface_tc(id(), "HelloCorba");
    }
    return _type;
  }
  public static java.lang.String id() {
    return "IDL:idl/HelloCorba:1.0";
  }
}
